Core - List runs
curl 'https://my.orq.ai/v3/experiments/<experiment_id>/runs' \
--header 'Authorization: Bearer $ORQ_API_KEY'
import { Orq } from '@orq-ai/node';
const client = new Orq({ apiKey: process.env.ORQ_API_KEY });
const page = await client.experiments.listRuns({ experimentId: '<experiment_id>' });
for (const run of page.data) {
console.log(run.runId, run.status, run.cellStatusCounts);
}
import os
from orq_ai_sdk import Orq
client = Orq(api_key=os.environ["ORQ_API_KEY"])
page = client.experiments.list_runs(experiment_id="<experiment_id>")
for run in page.data:
print(run.run_id, run.status, run.cell_status_counts)
{
"data": [
{
"run_id": "<string>",
"experiment_id": "<string>",
"key": "<string>",
"status": "RUN_STATUS_UNSPECIFIED",
"dataset_id": "<string>",
"row_count": 123,
"cell_status_counts": {
"not_run": 123,
"queued": 123,
"running": 123,
"completed": 123,
"failed": 123,
"canceled": 123
},
"columns": [
{
"column_id": "<string>",
"key": "<string>",
"display_name": "<string>",
"position": 123,
"active": true,
"prompt": {
"prompt_config": {},
"messages_source": "MESSAGES_SOURCE_UNSPECIFIED",
"engine": "<string>",
"tools": [
{}
],
"knowledge_bases": [
{}
],
"metadata": {}
},
"agent": {
"agent_key": "<string>",
"messages_source": "MESSAGES_SOURCE_UNSPECIFIED",
"messages": [
{}
],
"engine": "<string>",
"parent_id": "<string>",
"agent_tag": "<string>"
},
"openresponse": {},
"evaluator": {
"evaluator_id": "<string>",
"evaluator_name": "<string>",
"evaluator_type": "<string>",
"evaluator_output_type": "<string>"
},
"review": {
"human_eval_id": "<string>",
"human_eval_name": "<string>",
"human_eval_type": "<string>"
},
"dataset": {
"column_type": "<string>"
},
"metric": {
"metric_key": "<string>"
},
"job_output": {
"job_name": "<string>"
},
"width": 123
}
],
"settings": {
"concurrency": 123,
"timeout": "<string>",
"max_turns": 123,
"hidden_column_ids": [
"<string>"
]
},
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metrics": {},
"stats": {
"total_cost": 123,
"total_errors": 123,
"total_done": 123
},
"created_by_id": "<string>"
}
],
"has_more": true
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}Runs
List runs
Lists runs for an experiment, newest first. Each run is metadata only.
GET
/
v3
/
experiments
/
{experiment_id}
/
runs
Core - List runs
curl 'https://my.orq.ai/v3/experiments/<experiment_id>/runs' \
--header 'Authorization: Bearer $ORQ_API_KEY'
import { Orq } from '@orq-ai/node';
const client = new Orq({ apiKey: process.env.ORQ_API_KEY });
const page = await client.experiments.listRuns({ experimentId: '<experiment_id>' });
for (const run of page.data) {
console.log(run.runId, run.status, run.cellStatusCounts);
}
import os
from orq_ai_sdk import Orq
client = Orq(api_key=os.environ["ORQ_API_KEY"])
page = client.experiments.list_runs(experiment_id="<experiment_id>")
for run in page.data:
print(run.run_id, run.status, run.cell_status_counts)
{
"data": [
{
"run_id": "<string>",
"experiment_id": "<string>",
"key": "<string>",
"status": "RUN_STATUS_UNSPECIFIED",
"dataset_id": "<string>",
"row_count": 123,
"cell_status_counts": {
"not_run": 123,
"queued": 123,
"running": 123,
"completed": 123,
"failed": 123,
"canceled": 123
},
"columns": [
{
"column_id": "<string>",
"key": "<string>",
"display_name": "<string>",
"position": 123,
"active": true,
"prompt": {
"prompt_config": {},
"messages_source": "MESSAGES_SOURCE_UNSPECIFIED",
"engine": "<string>",
"tools": [
{}
],
"knowledge_bases": [
{}
],
"metadata": {}
},
"agent": {
"agent_key": "<string>",
"messages_source": "MESSAGES_SOURCE_UNSPECIFIED",
"messages": [
{}
],
"engine": "<string>",
"parent_id": "<string>",
"agent_tag": "<string>"
},
"openresponse": {},
"evaluator": {
"evaluator_id": "<string>",
"evaluator_name": "<string>",
"evaluator_type": "<string>",
"evaluator_output_type": "<string>"
},
"review": {
"human_eval_id": "<string>",
"human_eval_name": "<string>",
"human_eval_type": "<string>"
},
"dataset": {
"column_type": "<string>"
},
"metric": {
"metric_key": "<string>"
},
"job_output": {
"job_name": "<string>"
},
"width": 123
}
],
"settings": {
"concurrency": 123,
"timeout": "<string>",
"max_turns": 123,
"hidden_column_ids": [
"<string>"
]
},
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metrics": {},
"stats": {
"total_cost": 123,
"total_errors": 123,
"total_done": 123
},
"created_by_id": "<string>"
}
],
"has_more": true
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}Related guide: Experiments guide. See the Experiments guide for a walkthrough with examples.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the experiment.
Query Parameters
Page size, 1 to 200. Defaults to 25.
Cursor for forward pagination. Set to the run_id of the last item from
the previous page.
Cursor for backward pagination. Set to the run_id of the first item from
the previous page.
Include each run's average evaluator results in metrics.
Was this page helpful?